package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CulturalFacilities;
import com.lightinit.hsdatashow.entity.CulturalFacilitiesExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CulturalFacilitiesMapper {
    long countByExample(CulturalFacilitiesExample example);

    int deleteByExample(CulturalFacilitiesExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CulturalFacilities record);

    int insertSelective(CulturalFacilities record);

    List<CulturalFacilities> selectByExample(CulturalFacilitiesExample example);

    CulturalFacilities selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CulturalFacilities record, @Param("example") CulturalFacilitiesExample example);

    int updateByExample(@Param("record") CulturalFacilities record, @Param("example") CulturalFacilitiesExample example);

    int updateByPrimaryKeySelective(CulturalFacilities record);

    int updateByPrimaryKey(CulturalFacilities record);

    List<CulturalFacilities> getCulturalFalities();
}